Vagrant.configure("2") do |config|
  config.vm.box = "bento/ubuntu-16.04"
  config.vm.network "private_network", ip: "10.10.10.20"
  config.vm.network "forwarded_port", guest: 5000, host: 80

  config.vm.provider "virtualbox" do |v|
    v.customize ["modifyvm", :id, "--cpuexecutioncap", "50"]
  end

  config.vm.provision "ansible_local" do |ansible|
    ansible.playbook = "site.yml"
  end

  config.git.add_repo do |git|
		git.target = 'https://bitbucket.org/azneita/devops-challenge.git'
		git.path = '.vagrant/webapps/devops'
		git.branch = 'master'
		git.clone_in_host = true
	end

  config.vm.synced_folder '.vagrant/webapps/devops', '/webapps/devops',
    create: "true",
    owner: "vagrant", group: "vagrant"
end
